#ifndef UTILS_H_
#define UTILS_H_

#include <unistd.h>
#include <termios.h>
#include <sys/ioctl.h>

namespace sc {

    class term {
        struct winsize ws;

        public:
            term();

            int rows() const;
            int cols() const;

            void progress(double cur, double total) const;

            void hide_cursor() const;
            void show_cursor() const;
    };

    class cursor_hider {
        term t;

        public:
            cursor_hider();
            ~cursor_hider();
    };

}

#endif // UTILS_H_
